import { Component } from '@angular/core';
import { IConsulObject } from 'src/app/models/JsonObject';
import * as DummyResponse from '../../models/DummyResponse';
import { JsonService } from 'src/app/services/json.service';

@Component({
  selector: 'app-main-page',
  templateUrl: './main-page.component.html',
  styleUrls: ['./main-page.component.scss']
})
export class MainPageComponent {

  constructor(public jsonService: JsonService) {
}



response: any = JSON.parse(DummyResponse.SampleResponse);
keys: string[] = [];
responseArray: IConsulObject[] = [];

list(){
  this.responseArray = []
  this.jsonService.getList().subscribe(response => {
    this.response = response
    this.keys= Object.keys(this.response); 
    this.keys.forEach(element => {
      var toPush = this.response[element];
      this.responseArray.push(toPush);
    });
}) 
}






ngOnInit(): void {
}
}
